2008年2月 6日

[plamo:28866] Re: Grip2.96 の設定について

Grip-3.2.0のインストールで困っています。

> KAudioCreatorで動作を確認してみます。
KAudioCreatorで確認してみました。
問題なく、CDリッパー、エンコード出来ました。
CDもその後、KsCDで使えました。

> gripも最新安定版バージョンを探して試してみます。

Grip-3.2.0をインストールしようとしています。
gnomeライブラリを必要としました。
どれをインストールしていれば、
いいのか判断できませんでしたので、/cdrom/plamo/gnm以下
パッケージ全部、installpkg *tgzとしました。
#cd /usr/local/src/grip-3.2.0
# ./configure
で、以下のようになります。
Curlは、インストール済みになっています。

checking curl/curl.h usability... yes
checking curl/curl.h presence... yes
checking for curl/curl.h... yes
checking for curl_global_init in -lcurl... no
configure: error: curl libs are missing

./configureの場所はこのあたりかなと思うのですが、
PATH等違うのでしょうか?(MLに貼り付けて投稿するのはどうかと思いました。)

## ------------------------------------ ##
## Report this to bug-autoconf@xxxxx ##
## ------------------------------------ ##
_ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
esac
echo "$as_me:$LINENO: checking for curl/curl.h" >&5
echo $ECHO_N "checking for curl/curl.h... $ECHO_C" >&6
if test "${ac_cv_header_curl_curl_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_curl_curl_h=$ac_header_preproc
fi
echo "$as_me:$LINENO: result: $ac_cv_header_curl_curl_h" >&5
echo "${ECHO_T}$ac_cv_header_curl_curl_h" >&6

fi
if test $ac_cv_header_curl_curl_h = yes; then
:
else
{ { echo "$as_me:$LINENO: error: libcurl headers are missing" >&5
echo "$as_me: error: libcurl headers are missing" >&2;}
{ (exit 1); exit 1; }; }
fi


echo "$as_me:$LINENO: checking for curl_global_init in -lcurl" >&5
echo $ECHO_N "checking for curl_global_init in -lcurl... $ECHO_C" >&6
if test "${ac_cv_lib_curl_curl_global_init+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lcurl $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOFcat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */

/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char curl_global_init ();
int
main ()
{
curl_global_init ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_curl_curl_global_init=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

ac_cv_lib_curl_curl_global_init=no
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_curl_curl_global_init" >&5
echo "${ECHO_T}$ac_cv_lib_curl_curl_global_init" >&6
if test $ac_cv_lib_curl_curl_global_init = yes; then
LIBS="$LIBS `curl-config --libs`"
else
{ { echo "$as_me:$LINENO: error: curl libs are missing" >&5
echo "$as_me: error: curl libs are missing" >&2;}
{ (exit 1); exit 1; }; }
fi


投稿者 xml-rpc : 2008年2月 6日 15:36
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/69504
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。